6.0.0-git
2019-05-27

[#17] Composing a Message ends Session
Summary Composing a Message ends Session
Queue IMP
Queue Version 2.2.4
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester andreas.lessig (at) gmx (dot) de
Created 2004-03-19 (5547 days ago)
Due
Updated 2004-04-25 (5510 days ago)
Assigned 2004-04-02 (5533 days ago)
Resolved 2004-04-25 (5510 days ago)
Milestone
Patch No

History
2004-04-25 11:31:25 Michael Slusarz Comment #14
State ⇒ Resolved
Reply to this comment
No additional feedback.  If this is indeed a problem with Konqueror, 
it has either gone away in Horde HEAD or is not reproducible.
2004-04-20 19:54:25 Chuck Hagenbuch Comment #13 Reply to this comment
I cannot.
2004-04-16 21:29:53 Michael Slusarz Comment #12 Reply to this comment
Can anybody else verify this?  Especially with Horde 3.0/IMP 4.0?
2004-04-02 17:18:47 Michael Slusarz Comment #11
State ⇒ Assigned
Priority ⇒ 2. Medium
Taken from Michael Slusarz
Assigned to Horde DevelopersHorde Developers
Reply to this comment
Since you say this activity seems to be limited to the Konqueror 
browser only, and I have no access to the Konqueror browser, I am 
assigning this ticket back to all developers in the hopes that one of 
them can test this out and verify what you are seeing.
2004-04-02 06:40:47 andreas (dot) lessig (at) gmx (dot) de Comment #10 Reply to this comment
I tried it. I set the Cookie preferences to "Allow Cookies" and and 
"Ask for Confirmation before accepting Cookies". I unchecked the other 
Options.



I get a lot of Cookies of the type



Name: Horde

Value: <long hexadecimal>

Expires: end of session

Path: /horde

Domain: <host name>

Secure: false



They apear after very action, sometimes three at once. I accepted them 
all but the problem persists.
2004-04-01 16:39:08 Michael Slusarz Comment #9 Reply to this comment
Are cookies disabled on Konqueror?  Or, at least, cookies not being 
accepted from your Horde/IMP website URL?
2004-04-01 08:05:29 andreas (dot) lessig (at) gmx (dot) de Comment #8 Reply to this comment
Another Observation I made: The problem only occurs if I test locally 
using konqueror. Connecting from a Win2k machine with IE or Opera does 
not show the problem. After installing Opera and Mozilla locally they 
did not show the problem either. Currently I cannot test network 
access via konqueror.



So the problem seems to be limited to the konqueror.



Regarding your suggestion: Maybe I didn't understand your last 
question right. I thought you talked about the horde/conf/horde.php 
where I changed the preference driver to 'sql'.



So let me try again. My Installation is SuSE 9.0 with Horde 2.2.4 and 
IMP 3.3.2.



In /etc/php.ini there is the line



    session.save_handler=files



A file named horde/conf.php does not exist.



In horde/conf/horde.php I only changed the following lines from the default:



  /**

   ** Horde Logging

   **/

  [...]

  $conf['use_ssl'] = 1;

  [...]

  $conf['log']['type'] = 'syslog';

  [...]

  $conf['log']['name'] = LOG_LOCAL0;

  [...]

  /**

   ** Preference System Settings

   **/

  [...]

  $conf['prefs']['driver'] = 'sql';



  // Any parameters that the preferences driver needs. This includes

  // database or ldap server, username/password to connect with, etc.

  $conf['prefs']['params'] = array();



  // This is an example configuration for a MySQL preference backend.

  // The SQL script to setup the preference database is placed in

  // horde/scripts/db/prefs.sql.

  $conf['prefs']['params']['phptype'] = 'mysql';

  $conf['prefs']['params']['hostspec'] = 'localhost';

  $conf['prefs']['params']['username'] = 'horde';

  $conf['prefs']['params']['password'] = '<PaƟwort>';

  $conf['prefs']['params']['database'] = 'horde';

  $conf['prefs']['params']['table'] = 'horde_prefs';



In horde/config/registry.php the following changes where made:



    $this->registry['auth']['login'] = 'imp';

    $this->registry['auth']['logout'] = 'imp';



  $this->applications['imp'] = array(

     [...]

     'status' => 'active'

  );



  $this->applications['kronolith'] = array(

      [...]

      'status' => 'active'

  );



  $this->applications['turba'] = array(

      [...]

      'status' => 'active'

  );





I spare you the configuration changes for IMP, Kronolith and Turba as 
I do not think they are related to the problem. If I'm incorrect 
please tell me and I send additional information.








2004-03-30 20:47:04 Chuck Hagenbuch State ⇒ Feedback
Priority ⇒ 2. Medium
Assigned to Michael Slusarz
Taken from Horde DevelopersHorde Developers
 
2004-03-30 18:41:01 Michael Slusarz Comment #7 Reply to this comment
Try changing the session handler to 'files' (in php.ini) and 
commenting out all session stuff in horde/conf.php and see if that 
fixes the problem.


2004-03-30 06:46:59 andreas (dot) lessig (at) gmx (dot) de Comment #6 Reply to this comment
It's 'sql'. A mysql database is used.
2004-03-24 23:00:16 Michael Slusarz Comment #5 Reply to this comment
What kind of session handler (e.g. 'files', 'sql') are you using?
2004-03-24 22:51:12 Jan Schneider Comment #4
State ⇒ Assigned
Priority ⇒ 2. Medium
Assigned to Horde DevelopersHorde Developers
Reply to this comment
Anyone an idea on this bug?
2004-03-23 07:52:56 andreas (dot) lessig (at) gmx (dot) de Comment #3 Reply to this comment
No, the URL is like https://<server>/horde resp. https://<server>/horde/imp
2004-03-20 22:49:32 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Do you by chance have setup Horde/IMP to be in the document root? That 
is do you access IMP or Horde like http://webmail.example.com?
2004-03-19 07:40:45 andreas (dot) lessig (at) gmx (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Reply to this comment
-- I filed this here because your bugtracking system wouldn't allow me 
to file it under IMP --



When I chose "Compose" a new window opens. After doing what I have to 
do, I close the window either by chosing "Send Message", "Cancel 
Message" or clicking on the little cross in the upper right corner of 
the window frame. In all the three cases clicking on a menu item (e.g. 
"Webmail" from the Horde Page or "Folders" if I am in IMP) leads to 
the login screen sometimes with a message that the session has expired.



This behaviour occurs every time, even right after logon.

Saved Queries